Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class BodyRegion

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.RegionReference
                  org.apache.fop.area.BodyRegion

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class BodyRegion
extends RegionReference

This class is a container for the areas that may be generated by an fo:region-body. It extends the RegionReference that is used directly by the other region classes. See fo:region-body definition in the XSL Rec for more information.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.fop.area.RegionReference
`regionViewport`

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`BodyRegion(int regionClass, java.lang.String regionName, RegionViewport parent, int columnCount, int columnGap)` Constructor which can read traits directly from an fo:region-body formatting object.
`BodyRegion(RegionBody rb, RegionViewport parent)` Constructor which can read traits directly from an fo:region-body formatting object.

Method Summary
`java.lang.Object` | `clone()` Clone this object.
`BeforeFloat` | `getBeforeFloat()` Get the before float area.
`int` | `getColumnCount()` Get the number of columns when not spanning
`int` | `getColumnGap()`
`Footnote` | `getFootnote()` Get the footnote area.
`MainReference` | `getMainReference()` Get the main reference area.
`int` | `getRemainingBPD()`
`boolean` | `isEmpty()` indicates whether the main reference area has any child areas added to it

Methods inherited from class org.apache.fop.area.RegionReference
`addBlock, addChildArea, getBlocks, getCTM, getRegionClass, getRegionName, getRegionViewport, setCTM, toString`

Methods inherited from class org.apache.fop.area.Area
`addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BodyRegion

    public BodyRegion(RegionBody rb,
                      RegionViewport parent)

  Constructor which can read traits directly from an fo:region-body formatting object.

Parameters:
  `rb` - the region-body FO node
  `parent` - the parent region viewport

### BodyRegion

    public BodyRegion(int regionClass,
                      java.lang.String regionName,
                      RegionViewport parent,
                      int columnCount,
                      int columnGap)

  Constructor which can read traits directly from an fo:region-body formatting object.

Parameters:
  `regionClass` - the region class (as returned by Region.getNameId())
  `regionName` - the name of the region (as returned by Region.getRegionName())
  `parent` - the parent region viewport
  `columnCount` - the number of columns
  `columnGap` - the gap between columns

Method Detail

### getColumnCount

    public int getColumnCount()

  Get the number of columns when not spanning

  Returns:
    the number of columns

### getColumnGap

    public int getColumnGap()

  Returns:
    the column-gap value

### getMainReference

    public MainReference getMainReference()

  Get the main reference area.

  Returns:
    the main reference area

### isEmpty

    public boolean isEmpty()

  indicates whether the main reference area has any child areas added to it

  Returns:
    whether the main reference area has any child areas added to it

### getBeforeFloat

    public BeforeFloat getBeforeFloat()

  Get the before float area.

  Returns:
    the before float area

### getFootnote

    public Footnote getFootnote()

  Get the footnote area.

  Returns:
    the footnote area

### getRemainingBPD

    public int getRemainingBPD()

  Returns:
    the available BPD in the main reference area after the previous span reference areas are subtracted.

### clone

    public java.lang.Object clone()

  Clone this object.

  Overrides:
    `clone` in class `RegionReference`
  Returns:
    a shallow copy of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.